Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 234004 - /etc/NetworkManager/dispatcher.d missing in rpm
Summary: /etc/NetworkManager/dispatcher.d missing in rpm
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Aillon
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-26 16:11 UTC by Guenther Deschner
Modified: 2007-11-30 22:12 UTC (History)
1 user (show)

Fixed In Version: 1:0.6.5-8
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-08-07 16:41:11 UTC


Attachments (Terms of Use)

Description Guenther Deschner 2007-03-26 16:11:09 UTC
Description of problem:

/etc/NetworkManager/dispatcher.d is missing in rpm package. 
That directory is documented in NetworkManagerDispatcher(1) so it should be there.

Version-Release number of selected component (if applicable):
in all fc6 releases, also till f7 test2

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Guenther Deschner 2007-04-03 14:26:44 UTC
Adding samba-bugs in CC: as offline mode will depend on this.

Comment 2 Guenther Deschner 2007-05-14 12:50:54 UTC
Any news on this?

Comment 3 Guenther Deschner 2007-05-24 12:29:30 UTC
The fix is so easy...

gd@mthelena:~/redhat/NetworkManager> cvs diff FC-6/NetworkManager.spec
Index: FC-6/NetworkManager.spec
===================================================================
RCS file: /cvs/dist/rpms/NetworkManager/FC-6/NetworkManager.spec,v
retrieving revision 1.129
diff -u -p -r1.129 NetworkManager.spec
--- FC-6/NetworkManager.spec    13 Nov 2006 01:45:25 -0000      1.129
+++ FC-6/NetworkManager.spec    24 May 2007 12:27:47 -0000
@@ -211,6 +211,7 @@ fi
 %{_sbindir}/%{name}
 %{_sbindir}/NetworkManagerDispatcher
 %dir %{_sysconfdir}/NetworkManager/
+%dir %{_sysconfdir}/NetworkManager/dispatcher.d
 %{_bindir}/nm-tool
 %{_libdir}/libnm-util.so*
 %{_mandir}/man1/NetworkManager.1.gz


Comment 4 Guenther Deschner 2007-08-07 13:31:26 UTC
Ping

Comment 5 Christopher Aillon 2007-08-07 16:41:11 UTC
Oops, I thought I fixed this ages ago.  It's been in my tree but never
committed.  Thanks for the reping.  I just committed and built the fix into rawhide.


Note You need to log in before you can comment on or make changes to this bug.